Subject: lost n found?

From: Peter Nõu <[email-masked]>
Date: Fri, 12 Nov 1999 15:50:10 -0800

is there anyone to contact for lost and found at Omni Shoreham? 
back in San Francisco i realize that I´ve left my digital camera 
behind some time hursday morning... a black lether case, a kodak dc210

embarrased n sorry,
peter